<?
session_start();
	$usuario=$_SESSION['rut'];
 	if(!isset($_SESSION['rut'])){
		header('Location: ../../index.php');
	}


$servidor_ftp = "ftp.inglobochile.cl";
$conexion_id = ftp_connect($servidor_ftp);
$ftp_usuario = "cproceso@inglobochile.cl";
$ftp_clave = "inglobo2016chile";
$ftp_carpeta_local = "../../contenedor_planilla/image/";
$ftp_remote_path= "/";
$resultado_login = ftp_login($conexion_id, $ftp_usuario, $ftp_clave);
		if ((!$conexion_id) || (!$resultado_login)) {
		       echo  "La conexion ha fallado! al conectar con  $servidor_ftp para usuario $ftp_usuario";
		       exit;
		   } else {
		       echo "Conectado con $servidor_ftp, para usuario $ftp_usuario";
		   }


include '../../conexion/conn.php';
	
	$rsfoto = mysql_query("SELECT * FROM fotos WHERE `usu_crea`='$usuario'");
	while($rowfoto = mysql_fetch_array($rsfoto)){
		$nombre_foto=$rowfoto['nombre_foto'];
		$mi_nombredearchivo=$rowfoto['nombre_foto'];
		$nombre_archivo = $ftp_carpeta_local.$mi_nombredearchivo;
		$archivo_destino = $ftp_remote_path.$mi_nombredearchivo;
		
		$upload = ftp_put($conexion_id, $archivo_destino, $nombre_archivo, FTP_BINARY);
		if (!$upload) {
		       echo "Ha ocurrido un error al subir el archivo";
		   } else {
		       echo "Subido $nombre_archivo a $servidor_ftp as $archivo_destino";
		       $sql = "DELETE FROM `fotos` WHERE nombre_foto='$nombre_foto'";
				$result = @mysql_query($sql);
		       
		   }
	
	}

ftp_close($conexion_id);
?>